# Interface methods for submodule: GiftiMeshIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MeshIOBaseProxy as _MeshIOBaseProxy


# Interface methods for class: GiftiMeshIO
class GiftiMeshIOProxy(_MeshIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetReadPointData(self) -> bool:
		""""""
		...

	def SetReadPointData(self, _arg: bool) -> None:
		""""""
		...

	def ReadPointDataOn(self) -> None:
		""""""
		...

	def ReadPointDataOff(self) -> None:
		""""""
		...

	def SetDirection(self, direction) -> None:
		""""""
		...

	def GetDirection(self):
		""""""
		...

	def GetLabelColorTable(self):
		""""""
		...

	def GetLabelNameTable(self):
		""""""
		...

	def SetLabelColorTable(self, colorMap) -> None:
		""""""
		...

	def SetLabelNameTable(self, labelMap) -> None:
		""""""
		...

	def CanReadFile(self, fileName) -> bool:
		""""""
		...

	def ReadMeshInformation(self) -> None:
		""""""
		...

	def ReadPoints(self, buffer) -> None:
		""""""
		...

	def ReadCells(self, buffer) -> None:
		""""""
		...

	def ReadPointData(self, buffer) -> None:
		""""""
		...

	def ReadCellData(self, buffer) -> None:
		""""""
		...

	def CanWriteFile(self, fileName) -> bool:
		""""""
		...

	def WriteMeshInformation(self) -> None:
		""""""
		...

	def WritePoints(self, buffer) -> None:
		""""""
		...

	def WriteCells(self, buffer) -> None:
		""""""
		...

	def WritePointData(self, buffer) -> None:
		""""""
		...

	def WriteCellData(self, buffer) -> None:
		""""""
		...

	def Write(self) -> None:
		""""""
		...

